package be.jeffcheasey88.peeratcode.parser.java;

import static org.junit.jupiter.api.Assertions.assertEquals;

import java.util.Arrays;

import org.junit.jupiter.api.Test;

import be.jeffcheasey88.peeratcode.parser.java.CleanerPool.Cleaner;

public class CleanerTest {

	@Test
	void cutter(){
		CleanerPool cleaner = new CleanerPool(Arrays.asList(new Cleaner("$TEST",'<','>')));
		String result = cleaner.clean("Test0<  List< Map< Test1, List<  Test2 >, Test3>> > ");
		assertEquals("Test0$TEST3 ", result);
	}
	@Test
	void cutterLittle(){
		CleanerPool cleaner = new CleanerPool(Arrays.asList(new Cleaner("$TEST",'<','>')));
		String result = cleaner.clean("Test0<Keske, wtf<mais>> ");
		assertEquals("Test0$TEST1 ", result);
	}
}
